Sender Profiles
GET
/workspaces/{workspaceId}/sender-profiles
Retrieve a list of sender profiles associated with the account
查询参数
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
响应载荷
results
array of object
必填
显示子属性
results.id
string
必填
results.name
string
必填
results.email
object
显示子属性
results.email.username
string
必填
results.email.domain
string
必填
results.allowedEntities
array of object
显示子属性
results.allowedEntities.entityType
string
必填
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
必填
results.channelId
string
必填
results.signature
string
results.createdAt
string
必填
results.updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/sender-profiles
Create a new sender profile, defining its name, and other attributes.
请求载荷
name
string
必填
username
string
allowedEntities
array of object
显示子参数
allowedEntities.entityType
string
必填
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
必填
channelId
string
必填
signature
string
代码示例
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Retrieve information about a specific sender profile, including its name, and other attributes.
响应载荷
id
string
必填
name
string
必填
email
object
显示子属性
email.username
string
必填
email.domain
string
必填
allowedEntities
array of object
显示子属性
allowedEntities.entityType
string
必填
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
必填
channelId
string
必填
signature
string
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Modify the details of a specific sender profile, such as its name or other attributes.
请求载荷
name
string
username
string
signature
string
allowedEntities
array of object
显示子参数
allowedEntities.entityType
string
必填
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
必填
channelId
string
响应载荷
id
string
必填
name
string
必填
email
object
显示子属性
email.username
string
必填
email.domain
string
必填
allowedEntities
array of object
显示子属性
allowedEntities.entityType
string
必填
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
必填
channelId
string
必填
signature
string
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/sender-profiles/{senderProfileId}
Remove a specific sender profile.
代码示例
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/{senderProfileId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/sender-profiles/signature-variables
Retrieve a list of variables to use for signature configuration in sender profile.
响应载荷
results
array of object
必填
显示子属性
results.id
string
results.name
string
results.defaultDescription
string
results.variable
string
results.category
string
results.replacementAttribute
string
results.langDescription
object
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/sender-profiles/signature-variables' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/users/{userId}/sender-profiles
Retrieve a list of sender profiles associated with a user.
查询参数
channelId
string
Filter by channelId
响应载荷
results
array of object
必填
显示子属性
results.id
string
必填
results.name
string
必填
results.email
object
显示子属性
results.email.username
string
必填
results.email.domain
string
必填
results.allowedEntities
array of object
显示子属性
results.allowedEntities.entityType
string
必填
Possible values: team, agent
results.allowedEntities.operation
string
Possible values: view, edit
results.allowedEntities.entityId
string
必填
results.channelId
string
必填
results.signature
string
results.createdAt
string
必填
results.updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/users/{userId}/sender-profiles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'